Initial Commit
diff --git a/pki/.gitignore b/pki/.gitignore
new file mode 100644
index 0000000..6d26d49
--- /dev/null
+++ b/pki/.gitignore
@@ -0,0 +1,3 @@
+*csr
+*pem
+*json
diff --git a/pki/clean.sh b/pki/clean.sh
new file mode 100755
index 0000000..490223d
--- /dev/null
+++ b/pki/clean.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+set -e -x
+
+rm *pem
+rm *csr
diff --git a/pki/gen.sh b/pki/gen.sh
new file mode 100755
index 0000000..e09e9f3
--- /dev/null
+++ b/pki/gen.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e -x
+
+test -f ca.pem || ( cfssl gencert -initca ca_csr.json | cfssljson -bare ca )
+test -f service.pem || ( cfssl gencert -ca=ca.pem -ca-key=ca-key.pem -config=ca_config.json -profile=test service_csr.json | cfssljson -bare service )
+test -f client.pem || ( cfssl gencert -ca=ca.pem -ca-key=ca-key.pem -config=ca_config.json -profile=test client_csr.json | cfssljson -bare client )